#!/usr/bin/env python3

import fire
from itertools import product

def main(command, arg_dict, outfile):
    keys = []
    values = []
        
    for i,p in enumerate(arg_dict.items()):
        k,v = p
        keys.append(k)
        values.append(v)
        command = command + f" --{k} {{{i}}} "

    args_list = product(*values)

    with open(outfile,'w') as of:
        for args in args_list:
            of.write(command.format(*args) + '\n')

if __name__ == '__main__':
    fire.Fire(main)
